#include "stdafx.h"


int InitSockets(string host, string port, InitSockArgs* initSockArgs)
{
	if (WSAStartup(MAKEWORD(2, 2), initSockArgs->wd) != NO_ERROR) return 1;

	initSockArgs->info = new addrinfo;
	ZeroMemory(initSockArgs->info, sizeof(*initSockArgs->info));
	initSockArgs->info->ai_family = AF_UNSPEC;
	initSockArgs->info->ai_socktype = SOCK_STREAM;
	initSockArgs->info->ai_protocol = IPPROTO_TCP;

	addrinfo* info = new addrinfo;
	ZeroMemory(info, sizeof(*info));

	if (getaddrinfo(host.c_str(), port.c_str(), (initSockArgs->info), (PADDRINFOA *)(initSockArgs->info)) != NULL)
	{
		WSACleanup();
		return 1;
	}
	
	delete initSockArgs->info;
	initSockArgs->info = info;

	//*initSockArgs->mainSocket = socket(info->ai_family, SOCK_STREAM, IPPROTO_TCP);
	*initSockArgs->mainSocket = socket(info->ai_family, info->ai_socktype, info->ai_protocol);

	if (*initSockArgs->mainSocket == INVALID_SOCKET)
	{
		WSACleanup();
		return 1;
	}

	return 0;

}